\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Arrangements

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
CGAL::read()
I/O

##

Reads a given arrangement from a given input stream using a specific input format.

Requirements

- The instantiated `Formatter` class must model the `ArrangementInputFormatter` concept.
- The instantiated `WithHistoryFormatter` class must model the `ArrangementWithHistoryInputFormatter` concept.

See Also
  `CGAL::write()`
  `operator<<`
  `operator>>`

## Functions
template<typename Traits , typename Dcel , typename Formatter >
std::istream & | CGAL::read (Arrangement_2< Traits, Dcel > &arr, std::istream &is, Formatter &formatter)
| Reads the arrangement object `arr` from the given input stream `is` using a specific input format defined by "formatter".
template<typename Traits , typename Dcel , typename WithHistoryFormatter >
std::istream & | CGAL::read (Arrangement_with_history_2< Traits, Dcel > &arr, std::istream &is, WithHistoryFormatter &formatter)
| Reads the arrangement-with-history object `arr` from the given input stream `is` using a specific input format defined by "formatter".